#ifndef CVS2FITS_H
#define CVS2FITS_H

#include "config.h"
#include <string>
#include <vector>

/**
* @brief csv2Fits converts a file with comma-separated values to a binary FITS table.
*/
class csv2Fits {
public:
	/** The name of the input file.
	*/
	std::string csvFil ;

	/** The field separator .
	* By default this  is a comma. For many astronomical databases,
	* the standard is the vertical bar (pipe symbol).
	*/
	char fsep ;

	csv2Fits(const std::string infile, const char fsep=',') ;

	void cnvrt(const std::string typs) const ;
	

protected:
	std::vector<std::string> strtok(const std::string lin) const ;

	std::vector<int> colWidths(int & lineCnt) const ;

private:
} ;
#endif
